org.keycloak.models.mongo.keycloak.adapters

## Class AbstractMongoAdapter<T extends MongoIdentifiableEntity>

- java.lang.Object
- - org.keycloak.models.mongo.keycloak.adapters.AbstractMongoAdapter<T>

- Direct Known Subclasses:
    ClientAdapter, RealmAdapter, RoleAdapter, UserAdapter, UsernameLoginFailureAdapter, UserSessionAdapter

      public abstract class AbstractMongoAdapter<T extends MongoIdentifiableEntity>
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected MongoStoreInvocationContext` | `invocationContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMongoAdapter(MongoStoreInvocationContext invocationContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `protected abstract T` | `getMongoEntity()`
    `protected MongoStore` | `getMongoStore()`
    `int` | `hashCode()`
    `protected void` | `updateMongoEntity()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### invocationContext

          protected final MongoStoreInvocationContext invocationContext

  - ### Constructor Detail

    - #### AbstractMongoAdapter

          public AbstractMongoAdapter(MongoStoreInvocationContext invocationContext)

  - ### Method Detail

    - #### getMongoEntity

          protected abstract T getMongoEntity()

    - #### updateMongoEntity

          protected void updateMongoEntity()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getMongoStore

          protected MongoStore getMongoStore()

Copyright © 2014. All Rights Reserved.